/******  西王营销费用自动修改单据状态后台事务脚本 ********/
/** 调度任务类名 **/
delete from t_sch_taskdefine where fid in ('/D7V92UAB0YP','/D7WE57M33BK');
INSERT INTO t_sch_taskdefine (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES('/D7V92UAB0YP', 'kd.drp.mem.opplugin.cost.ExecuteStatusTask', 'ExecuteStatusTask', 'mem');
INSERT INTO t_sch_taskdefine (FID, FCLASSNAME, FNUMBER, FAPPID) VALUES('/D7WE57M33BK', 'kd.drp.mem.opplugin.cost.FreezeStatusTask', 'FreezeStatusTask', 'mem');

DELETE FROM t_sch_taskdefine_l WHERE FPKID in('/D7V92UAB0YQ','/D7V92UAB0YR','/D7WE57M33BL','/D7WE57M33BM');
INSERT INTO t_sch_taskdefine_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('/D7V92UAB0YQ', '/D7V92UAB0YP', 'zh_CN', '修改执行状态任务');
INSERT INTO t_sch_taskdefine_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('/D7V92UAB0YR', '/D7V92UAB0YP', 'zh_TW', '修改執行狀態任務');
INSERT INTO t_sch_taskdefine_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('/D7WE57M33BL', '/D7WE57M33BK', 'zh_CN', '修改冻结状态任务');
INSERT INTO t_sch_taskdefine_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('/D7WE57M33BM', '/D7WE57M33BK', 'zh_TW', '修改凍結狀態任務');

/** 调度任务 **/
DELETE FROM t_sch_job WHERE FID='/D8+3Q3JX8BF';
INSERT INTO t_sch_job (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FPARAMS, FNUMBER, FTASKDEFINEID, FSTATUS) VALUES ('/D8+3Q3JX8BF', 'BIZ', 'kd.drp.mem.opplugin.cost.ExecuteStatusTask', 1, ' ', 'mem_ExecuteStatusTask_SKDJ_S', '/D7V92UAB0YP', '1');
DELETE FROM t_sch_job WHERE FID='/D8+6JZMFLC1';
INSERT INTO t_sch_job (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FPARAMS, FNUMBER, FTASKDEFINEID, FSTATUS) VALUES ('/D8+6JZMFLC1', 'BIZ', 'kd.drp.mem.opplugin.cost.FreezeStatusTask', 1, ' ', 'mem_FreezeStatusTask_SKDJ_S', '/D7WE57M33BK', '1');

DELETE FROM t_sch_job_l WHERE FPKID='/D8+3Q3JX8BG';
INSERT INTO t_sch_job_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('/D8+3Q3JX8BG', '/D8+3Q3JX8BF', 'zh_CN', '定时修改执行状态');
DELETE FROM t_sch_job_l WHERE FPKID='/D8+3Q3JX8BH';
INSERT INTO t_sch_job_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('/D8+3Q3JX8BH', '/D8+3Q3JX8BF', 'zh_TW', '定時修改執行狀態');
DELETE FROM t_sch_job_l WHERE FPKID='/D8+6JZMFLC2';
INSERT INTO t_sch_job_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('/D8+6JZMFLC2', '/D8+6JZMFLC1', 'zh_CN', '定时修改冻结状态');
DELETE FROM t_sch_job_l WHERE FPKID='/D8+6JZMFLC3';
INSERT INTO t_sch_job_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('/D8+6JZMFLC3', '/D8+6JZMFLC1', 'zh_TW', '定時修改凍結狀態');

/** 调度计划 **/
DELETE FROM t_sch_schedule WHERE FID='/D8/00ZK77OP';
INSERT INTO t_sch_schedule (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FREPEATMODE, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC) VALUES ('/D8/00ZK77OP', '/D8+3Q3JX8BF', {ts'2018-09-13 00:00:00'}, {ts'2100-01-01 00:00:00'}, '0 57 14 * * ?', 'mem_ExecuteStatusTask_SKDP_S', '1', 'd', 1, '172.19.98.46', '0', '0', '0', '0', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于每1天重复');
DELETE FROM t_sch_schedule WHERE FID='/D8/2WVA015J';
INSERT INTO t_sch_schedule (FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FREPEATMODE, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC) VALUES ('/D8/2WVA015J', '/D8+6JZMFLC1', {ts'2018-09-13 00:00:00'}, {ts'2100-01-01 00:00:00'}, '0 2 15 * * ?', 'mem_FreezeStatusTask_SKDP_S', '1', 'd', 1, '172.19.98.46', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于每1天重复');

DELETE FROM t_sch_schedule_l WHERE FPKID='/D8/00ZK77OQ';
INSERT INTO t_sch_schedule_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('/D8/00ZK77OQ', '/D8/00ZK77OP', 'zh_CN', '定时修改执行状态');
DELETE FROM t_sch_schedule_l WHERE FPKID='/D8/00ZK77OR';
INSERT INTO t_sch_schedule_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('/D8/00ZK77OR', '/D8/00ZK77OP', 'zh_TW', '定時修改執行狀態');
DELETE FROM t_sch_schedule_l WHERE FPKID='/D8/2WVDNGC1';
INSERT INTO t_sch_schedule_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('/D8/2WVDNGC1', '/D8/2WVA015J', 'zh_CN', '定时修改冻结状态');
DELETE FROM t_sch_schedule_l WHERE FPKID='/D8/2WVDNGC2';
INSERT INTO t_sch_schedule_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('/D8/2WVDNGC2', '/D8/2WVA015J', 'zh_TW', '定時修改凍結狀態');
